Package uk.ac.starlink.votable.soap

## Class VOTableSerialization

- java.lang.Object
- - uk.ac.starlink.votable.soap.VOTableSerialization

    public class VOTableSerialization
    extends java.lang.Object

Utility class for use with VOTable custom serialization for AXIS.

Since:
  23 Mar 2005
Author:
  Mark Taylor (Starlink)

### Field Summary

Fields
`static javax.xml.namespace.QName` `QNAME_VOTABLE` QName used to describe objects which are serialized using this serializer.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `configureCall​(org.apache.axis.client.Call call)` Configures a `Call` object for use with VOTable custom serialization by registering the requisite type mappings, and perhaps other things too.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QNAME_VOTABLE

    public static final javax.xml.namespace.QName QNAME_VOTABLE

QName used to describe objects which are serialized using this serializer. This is currently `{http://www.ivoa.net/xml/VOTable/v1.1}VOTABLE`.

### Method Detail

#### configureCall

    public static void configureCall​(org.apache.axis.client.Call call)

Configures a `Call` object for use with VOTable custom serialization by registering the requisite type mappings, and perhaps other things too.

Parameters:
  `call` - call to configure